;
; Startup code for cc65 (C16 version)
;
; Note: The C16 is actually the Plus/4 with just 16KB of memory. So, many
; things are similar here; and, we even use the plus4.inc include file.
;

        .export         _exit
        .export         __STARTUP__ : absolute = 1      ; Mark as startup
        .import         initlib, donelib
        .import         callmain, zerobss, _main
        .import         MEMTOP, RESTOR, BSOUT, CLRCH
        .import         _getkey
        .importzp       ST
	.exportzp	_curmptr, _mpos, _cate, _cursto, _i, _j, _c
	.exportzp	_curout, _k, _spc, _CurPos, _atpos
        .include        "zeropage.inc"
        .include        "plus4.inc"

; ------------------------------------------------------------------------
; Startup code

.segment        "STARTUP"

Start:

; Switch to the second charset.

        lda     #14
        jsr     BSOUT

; Clear the BSS data.

        ;jsr     zerobss

; Save some system stuff; and, set up the stack.

        ;tsx
        ;stx     spsave          ; save system stk ptr

        ;sec
        ;jsr     MEMTOP          ; Get top memory
        ;cpy     #$80            ; We can only use the low 32K :-(
        ;bcc     MemOk
        ;ldy     #$80
        ;ldx     #$00
	ldx	#$00
	ldy	#$40
MemOk:  stx     sp
        sty     sp+1            ; set argument stack ptr

; Call the module constructors.

        ;jsr     initlib

; Push the command-line arguments; and, call main().

        jsr     _main ;callmain

; Call the module destructors. This is also the exit() entry.

_exit:  ;pha                     ; Save the return code on stack

	jsr	_getkey

        ;jsr     donelib         ; Run module destructors

; Back to BASIC.

	jmp	$8000
        ;rts

; ------------------------------------------------------------------------


; ------------------------------------------------------------------------

.bss

spsave: .res    1

.segment "RW_INPUT"
	.word	$200
.segment "RW_TAPE"
	.word	$332
.segment "RW_BSTK"
	.word	$0700
.segment "RW_GRAPH"
	.word	$02AD

.zeropage
_curmptr:	.res	2
_mpos:		.res	2
_cate:		.res	1
_cursto:	.res	1
_i:		.res	2
_j:		.res	2
_curptr:	.res	2
_c:		.res	1
_curout:	.res	2
_k:		.res	2
_spc:		.res	1
_CurPos:	.res	1
_atpos:		.res	2
