#ifndef __HARRYPOTTER_MADLIB_GEN_H
#define __HARRYPOTTER_MADLIB_GEN_H

#define NumStories 8

//The struct containing each story.
//In text, %<word> denotes that a word of a given type is inserted
//into the story in that spot.  Note that the angle brackets are
//required.  %% is a percent character (%).  Also note that,
//at the end of the story, you need a carriage return due to a bug
//that prevents the last word of the story from being printed otherwise.
extern struct story {
	enum {			//The category of the story.
		cateSciFi,
		cateFantasy,
		cateGeneric
	} cate;
	char *name;		//The title of the story
	char* text;		//The story itself.
} stories[];

//Number of stories per category.
//The subscript is the category #.
extern unsigned char catecount[3];

//Output of processed story.
extern char curmod[2048];

//Analyze and process story given by m and copy it to curmod[].
void getmod (void);

//Display story in curmod[] with passed title.
void dispstory (char* title);

unsigned char __fastcall__ GetInput (void);

void __fastcall__ cbm_load2 (void);
#endif

