/***********************************************************************
 * 
 * Individual module for the cc65 compiler.
 *
 * The template for this file was created by TempC Module Creator by
 * Joseph Rose.  This template can be used in your programs, provided
 * you mention TempC in your software's documentation.  If this source
 * code is distributed, this copyright must be included in the file.
 *
 ***********************************************************************/

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <conio.h>
#include <c16.h>

#include "simpleio.h"
#include "madlib64.h"

//#pragma local-strings (on)
unsigned char catecount[]={3,2,3};
char curmod[2048];

struct story stories [8] = {
{
	cateSciFi,
	"The Abduction",
	"    I was %activity being done> to the "
	"%recreation center> to see a %site>, when "
	"I got %someting done to you> by aliens!  "
	"They %someting done to you> me and performed "
	"%a science experiment> on me.  That hurt!  "
	"Then, they tested my %body part or attribute>.  "
	"They proceeded to lay me down and massage my "
	"%body part>.  After that, they scanned my "
	"%body part> with a %piece of equipment>.  "
	"They finally took me back to earth.  I was "
	"%emotion>.\n"
},{
	cateFantasy,
	"In Snotville",
	"    I was in the %place> where I found a "
	"%type of paper>.  I %verb, past tense> it.  "
	"It said, \"Say %magic word(s)> to open the "
	"%type of entrance> to Snotville.\"  So I "
	"did and found myself in a %type of small "
	"community>.  I saw a %small residence>, on "
	"which was a sign that said, \"Welcome to "
	"%Man's name>'s %small residence>!\"  "
	"I entered and found a man with a "
	"%color> shirt and a pair of %type of pants>.  "
	"He said, \"Welcome to Snotville!  I will now "
	"bestow upon you magical powers, including, "
	"%magical power>, %magical power>, and %magical power>.  "
	"These will be given to you via power crystals.  "
	"You must have them available to you at all times "
	"in order to use the powers.\"\n"
	"    He gave me the crystals and sent me back.\n"
},{
	cateSciFi,
	"Acquisition of ESP",
	"    The sign said, \"Welcome to %planet>!\"\n"
	"    I %method of travel, past-tense> to the "
	"%building> to see %male alien name> about "
	"%issue>.  I entered to see %a type of furniture> "
	"on which a %alien> wearing %color> %piece of "
	"clothing>.  He asked me my name.\n"
	"    I responded, \"%your name>.\"\n"
	"    He said, \"Good!  I've been expecting you.  "
	"Now tell me what special ability you want.\"\n"
	"    I replied, \"%ESP>.\"\n"
	"    Then he explained how to do it and sent me "
	"back home where I practiced the power in secret.\n"
},
{
	cateGeneric,
	"The Party",
	"    I went to %family member>'s house for %holiday>.  "
	"There, I saw %family member> and %family member>.  "
	"They let me in, and I could already smell the %food> "
	"cooking.  I ate %hors dourves> and %hors dourves>.  "
	"We chatted about %topic>.  Then it was %meal> time.  "
	"I had %food> and %food>.  They cook well!  "
	"As I got up, %family member> gave me a %toy>.  After "
	"my goodbyes, I left.  I was %emotion>.\n"
},
{
	cateGeneric,
	"Walking My Pet",
	"    On one %weather> day, my %pet> and I went for a "
	"%action>.  We met %female family member>.  I said, "
	"\"%greeting>!\"  She said \"%<greeting> back!\"  We "
	"entered %a place of business>, where I bought "
	"%an item> and %an item>.  As it turned out, I was "
	"%money amount> short.  So, I had to leave one of the "
	"items there, go home, get the money and come back.  "
	"When I returned, I bought the item.  Then we left.  "
	"I brought enough money for other things.  We went to "
	"%a pet store>, where I bought %a pet supply> and "
	"%a pet supply>.  As we headed home, I got a little "
	"%desire> and bought %an item>.\n"
},
{
	cateSciFi,
	"The Interplanetary Errand",
	"    I was %action being done> to %planet> in a "
	"%space vehicle> to %action> for %person or company>, "
	"when I encountered %a person, not proper> trying to "
	"%action> %an item> from %male person, not proper>.  I "
	"%action, past-tense> and %method of speech, past tense>, "
	"\"What are you doing?\"\n"
	"    He %method of speech, past tense>, \"I'm just "
	"%an errand being done> for %person or company>.\"\n"
	"    I left and went my way.\n"
	"    When I arrived, I %action in space, past tense> to a "
	"%artificial space object> and %action, past-tense> to "
	"%an eatery> to eat %food>.  I headed to %a room in a "
	"business> in the back and handed %alien name> "
	"%some important items>.\n"
},
{
	cateGeneric,
	"A Holiday with My Family",
	"    On one %holiday> morning, I got up to see "
	"%a holiday item> under which %another holiday item> "
	"lay.  I approached and %action being done to an item> "
	"it.  Inside was %a toy>.  I started to %action> it, "
	"when I was called to %a place you eat> for %food>.  "
	"After that, I %action, past tense> it to %room> and "
	"%method of contact, past-tense> %someone you know, male> "
	"about my toy.  He was %emotion>.  I invited him over to "
	"play with it.  He %method of contact, past-tense> he "
	"can't because %an excuse>.  I %method of contact, past-tense> "
	"fine.  Then, I commenced to %action, past tense> %a toy>.\n"
},
{
	cateFantasy,
	"The Magical Item",
	"    I was %method of travel, being done> to %fictional place> "
	"with my friends, %proper name> and %proper name>, when we "
	"encountered a %size> %type of plant> on top of which "
	"a %animal> with %color> %body part> was smiling at us.  "
	"He %method of speech, past-tense>, \"%<greeting>, and "
	"welcome to %fictional place>!\"\n"
	"    I was %emotional state>!  \"You can %method of speech, "
	"present tense>!\"\n"
	"    \"I take it you are not from around here.\"\n"
	"    \"No.  We just %method of arrival, past tense> here "
	"%time in the past>.\"\n"
	"    \"Where are you going?\"\n"
	"    I told him.\n"
	"    \"Good luck.\"\n"
	"    %time span> later, we %sense verb, past tense> a "
	"%fictional creature>.  He was blocking our path.\n"
	"    \"Please move,\" I %method of speech, past tense>.\n"
	"    \"Say the magic words,\" he %method of speech, past tense>.\n"
	"    \"%<magic word(s)>\"\n"
	"    He moved.\n"
	"    When we arrived, we saw a huge %type of community> with "
	"a lot of %description of home> %type of home, plural>.  "
	"We %method of speech, past tense> around for %fictional "
	"person> who brought us here about %issue>.  Once we reached "
	"him, he showed us a %magical item> and <method of speech, past "
	"tense> us if we wanted it.\n"
	"    We looked at each other and collectively %method of speech, "
	"past tense>, \"Sure!\"\n"
	"    He gave us the item with a caution and %method of travel, "
	"past tense> us back home.\n"
}
};

